<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">['.$user[login].']</div>';
if ($user['rank'] == 'Модер' OR $user['rank'] == 'Админ')
	{
switch($_GET[a])
	{
    default:
    echo '
	<div class="money">Модер панель</div><div class="money">
	<a href="?a=ipua">Совпадения ip+ua</a>
	';
    break;

	case 'ipua':
	echo '<div class="money">';
	if (isset($_GET['a']) AND htmlspecialchars($_GET['a'])=='ipua')
		{
		$query = mysql_query("SELECT `login`,`ip`,`id`,`ua`,`country`, COUNT(ip) cnt FROM users GROUP BY ip HAVING cnt > 1");
		while($res = mysql_fetch_assoc($query))
			{
			if (!empty($res['ip']))
					{
					echo '<a href="?a=view&amp;id='.$res[id].'">'.$res['login'].'</a><br />';
					}
			}

		}
	break;

	case 'view':
	echo '<div class="money">';
	$ip = mysql_fetch_array(mysql_query("SELECT `ip` FROM `users` WHERE `id`='$_GET[id]'"));
	echo 'Персонажи с IP '.$ip[ip].':<br />';
	$sql = mysql_query("SELECT `country`,`id`,`login` FROM `users` WHERE `ip`='$ip[ip]'");
	while($res = mysql_fetch_assoc($sql))
		{
		echo '['.$res[id].'] - '.$res['login'].' ('.$res[country].')<br />';
		}
		echo '<a href="./moder_pan.php?a=ipua">Назад</a>';
	break;

	}

echo '</div>
<div class="info">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';
	} else header("Location: index.php");

?>